/*
 Stepper Motor Control - one revolution

 This program drives a unipolar or bipolar stepper motor.
 The motor is attached to digital pins 8 - 11 of the Arduino.

 The motor should revolve one revolution in one direction, then
 one revolution in the other direction.

 Created 11 Mar. 2007
 Modified 30 Nov. 2009
 by Tom Igoe
 */

#include <Stepper.h>

const int stepsPerRevolution = 120;  
// change this to fit the number of steps per revolution

Stepper myStepper(stepsPerRevolution, 8, 9, 10, 11);
// initialize the stepper library on pins 8 through 11:

void setup() {
  
  myStepper.setSpeed(100); // set the speed at 100 rpm:
  
  Serial.begin(9600); // initialize the serial port:
}

void loop() {
  // step one revolution  in one direction:
  Serial.println("clockwise");
  myStepper.step(stepsPerRevolution);
  delay(1000);

  // step one revolution in the other direction:
  Serial.println("counterclockwise");
  myStepper.step(-stepsPerRevolution);
  delay(1000);
}

